Question-and-Answer Resource for the Building Energy Modeling Community
Get s tarted with the Help page
Ask Your Question
1

OpenStudio does not start & SketchUp plugin load errors

asked 2016-12-03 04:21:07 -0500

harisgk gravatar image

updated 2017-08-28 09:25:25 -0500

Hello. I have a problem with running OpenStudio and SketchUp plugin in my laptop. I run Windows 10 x64 First i installed SketchUp 2017 and then OpenStudio 1.13.0 Open Studio showed a message that didn't found SketchUp 2016. I tried to open OpenStudio but it didn't open.Only the other 2 programms ran. (analysis tool). I unistalled both OpenStudio and SketchUp 2017 and then I installed SkecthUp 2016 and OpenStudio 1.13.0 again. When i opened SketchUp I show a message about the plug in guide and then it showed a message about loading errors. The OpenStudio doesn't open again.The two programms are installed in the same folder.

  • Windows 10 x 64
  • SketchUp 2016
  • OpenStudio 1.13.0
  • Installed in the same folder
  • OpenStudio does not open (Only the other two programms run (parameter analysis tool))
  • SketchUp shows Load Errors for the plugin
  • The OpenStudio extension in SketchUp is checked

Error Loading File C:/ProgramData/SketchUp/SketchUp 2016/SketchUp/Plugins/OpenStudio/Startup.rb Error: #<errno::eacces: permission="" denied="" -="" c:="" users="" ΧΑΡΗΣ="" appdata="" local="" temp="" openstudio=""> C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/fileutils.rb:245:in mkdir' C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/fileutils.rb:245:infu_mkdir' C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/fileutils.rb:219:in block (2 levels) in mkdir_p' C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/fileutils.rb:217:inreverse_each' C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/fileutils.rb:217:in block in mkdir_p' C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/fileutils.rb:203:ineach' C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/fileutils.rb:203:in mkdir_p' C:/Program Files/OpenStudio 1.13.0/Ruby/openstudio/sketchup_plugin/lib/PluginManager.rb:104:ininitialize' C:/Program Files/OpenStudio 1.13.0/Ruby/openstudio/sketchup_plugin/lib/PluginManager.rb:526:in new' C:/Program Files/OpenStudio 1.13.0/Ruby/openstudio/sketchup_plugin/lib/PluginManager.rb:526:in<module:openstudio>' C:/Program Files/OpenStudio 1.13.0/Ruby/openstudio/sketchup_plugin/lib/PluginManager.rb:76:in <top (required)>' C:/ProgramData/SketchUp/SketchUp 2016/SketchUp/Plugins/OpenStudio/Startup.rb:52:inload' C:/ProgramData/SketchUp/SketchUp 2016/SketchUp/Plugins/OpenStudio/Startup.rb:52:in <top (required)>' C:/Program Files/SketchUp/SketchUp 2016/Tools/extensions.rb:197:inrequire' C:/Program Files/SketchUp/SketchUp 2016/Tools/extensions.rb:197:in load' C:/ProgramData/SketchUp/SketchUp 2016/SketchUp/Plugins/OpenStudio.rb:176:inregister_extension' C:/ProgramData/SketchUp/SketchUp 2016/SketchUp/Plugins/OpenStudio.rb:176:in `<top (required)&gt;'<="" p="">

Please help !! I have a deadline project running ! Thank you !

edit retag flag offensive close merge delete

1 Answer

Sort by » oldest newest most voted
1

answered 2016-12-04 13:50:45 -0500

Redline gravatar image

I have much the same issue. INstalled 2017, found that didnt work, so un-installed everything. INstalled 2016, then openstudio 1.13. And when starting sketch-up I have a bunch of errors . I also have installed both apps to the same folder.

Errors below:

Error Loading File C:/ProgramData/SketchUp/SketchUp 2016/SketchUp/Plugins/OpenStudio/Startup.rb Error: #<runtimeerror: unable="" to="" initialize="" openssl:="" verify="" that="" ruby="" can="" access="" the="" openssl="" libraries=""> D:/CymapDev/IFC/OpenStudio/OpenStudio 1.13.0/Ruby/openstudio.rb:153:in <top (required)>' D:/CymapDev/IFC/OpenStudio/OpenStudio 1.13.0/sketchup/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:inrequire' D:/CymapDev/IFC/OpenStudio/OpenStudio 1.13.0/sketchup/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in require' C:/ProgramData/SketchUp/SketchUp 2016/SketchUp/Plugins/OpenStudio/OpenStudio-config:2:in<top (required)&gt;'="" c:="" programdata="" sketchup="" sketchup="" 2016="" sketchup="" plugins="" openstudio="" startup.rb:33:in="" <code="">load' C:/ProgramData/SketchUp/SketchUp 2016/SketchUp/Plugins/OpenStudio/Startup.rb:33:in<top (required)&gt;'="" d:="" cymapdev="" ifc="" openstudio="" openstudio="" 1.13.0="" sketchup="" tools="" extensions.rb:197:in="" <code="">require' D:/CymapDev/IFC/OpenStudio/OpenStudio 1.13.0/sketchup/Tools/extensions.rb:197:inload' C:/ProgramData/SketchUp/SketchUp 2016/SketchUp/Plugins/OpenStudio.rb:176:in register_extension' C:/ProgramData/SketchUp/SketchUp 2016/SketchUp/Plugins/OpenStudio.rb:176:in<top (required)&gt;'<="" p="">

edit flag offensive delete link more

Comments

Were you all ever able to find an answer to this problem? I'm getting on the prerelase for 1.0.0 Openstudio App and SketchUp 2019.

R1cardo gravatar image R1cardo  ( 2020-03-11 09:39:45 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

 

Question Tools

1 follower

Stats

Asked: 2016-12-03 04:21:07 -0500

Seen: 499 times

Last updated: Dec 03 '16